Tag Parser: TagParser::MatroskaTagMaker Class Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
TagParser::MatroskaTagMaker Class Reference

The MatroskaTagMaker class helps writing Matroska "Tag"-elements storing tag information. More...

`#include <matroskatag.h>`

## Public Member Functions
void | make (std::ostream &stream) const
| Saves the tag (specified when constructing the object) to the specified stream (makes a "Tag"-element).
const MatroskaTag & | tag () const
| Returns the associated tag.
std::uint64_t | requiredSize () const
| Returns the number of bytes which will be written when making the tag.

## Friends
class | MatroskaTag

## Detailed Description

The MatroskaTagMaker class helps writing Matroska "Tag"-elements storing tag information.

An instance can be obtained using the MatroskaTag::prepareMaking() method.

Definition at line 28 of file matroskatag.h.

## Member Function Documentation

## ◆ make()

void TagParser::MatroskaTagMaker::make | ( | std::ostream & | stream | ) | const

Saves the tag (specified when constructing the object) to the specified stream (makes a "Tag"-element).

Exceptions

  Throws | std::ios_base::failure when an IO error occurs.
  Throws | Assumes the data is already validated and thus does NOT throw TagParser::Failure or a derived exception.

Definition at line 483 of file matroskatag.cpp.

## ◆ requiredSize()

std::uint64_t TagParser::MatroskaTagMaker::requiredSize | ( |  | ) | const
| inline

Returns the number of bytes which will be written when making the tag.

Definition at line 58 of file matroskatag.h.

## ◆ tag()

const MatroskaTag & TagParser::MatroskaTagMaker::tag | ( |  | ) | const
| inline

Returns the associated tag.

Definition at line 50 of file matroskatag.h.

## Friends And Related Symbol Documentation

## ◆ MatroskaTag

friend class MatroskaTag
| friend

Definition at line 29 of file matroskatag.h.

The documentation for this class was generated from the following files:

- matroska/matroskatag.h
- matroska/matroskatag.cpp